@font-face {
    font-family: 'Cheese Sauce';
    src: url('/assets/fonts/Cheese Sauce.ttf') format('truetype');
}


/* HERO */
.hero {
    height: 1024px;
    width: 100%;
    background-image: url('/assets/images/hero_section_background.png');
    background-size: cover;
    background-position: center;
    display: flex;
    position: relative;
    color: white;
}

.logoTopBar {
    z-index: 4;
    left: 24px;
    background-image: url('/assets/images/color_logo.png');
    height: 50px;
    width: 50px;
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
}

.heroOrder {
    align-items: end;
    flex-direction: row;
    display: flex;
    position: relative;
    z-index: 3;
}

.svgShape {
    position: absolute;
    left: -245px;
}

.svgShapeMobile {
    display: none;
}

.heroImage {
    height: 1024px;
    width: 100%;
    right: 50%;
    position: absolute;
    background-image: url('/assets/images/hero_image.png');
    background-position: right;
    /* Centraliza o corte */
    background-repeat: no-repeat;
}

.heroPageShape {
    position: relative;
    height: 1024px;
    width: 514px;
    background-color: #ED5C21;
    justify-content: center;
    align-content: center;

}

.heroPageShape .heroText {
    top: 0;
    right: 0;
    width: 100%;

    display: flex;
    flex-direction: column;
    padding: 24px;
    justify-content: center;
    align-items: center;
    color: white;
    text-align: center;
}

.heroPageShape h1 {
    color: white;
    font-weight: 800;
    font-size: 48px;
}

.heroPageShape h2 {
    color: white;
    font-size: 28.8px;
    font-weight: 700;
}


.stores {
    flex-direction: row;
    flex-wrap: wrap;
    gap: 10px;
    display: flex;
    justify-content: center;
}




/* COMO FUNCIONA */


.steps {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: stretch;
    gap: 30px;
}

.card {
    background: white;
    padding: 24px;
    border-radius: 20px;
    width: 300px;
    box-shadow: 0 0px 65px rgba(0, 0, 0, 0.25);
}

.steps svg {
    width: 52px;
    margin: auto 0px;
}

.card h3 {
    font-size: 18px;
    font-weight: 700;
    color: #FF814F;
    margin-bottom: 24px;
}

.card p {
    font-size: 14px;
    font-weight: 400;

}

.icon {
    width: 100px;
    height: 100px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0 auto 24px auto;
}

/* BENEFÍCIOS */

.benefit-grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 30px;
}

.benefitCard {
    background: white;
    border-radius: 20px;
    display: flex;
    align-items: center;
    box-shadow: 0 5px 30px rgba(0, 0, 0, 0.25);
    height: 230px;
    overflow: hidden;
}

.benefit-img {
    width: 150px;
    height: 100%;
    aspect-ratio: 1 / 1;
    /* moderno e elegante */
    background-color: #ccc;
    background-size: cover;
    background-position: center;
    flex-shrink: 0;
}

.benefitText {
    display: flex;
    flex-direction: column;
    gap: 10px;
    text-align: left;
    padding: 24px;
}

.benefitText h3 {
    color: #FF814F;
    font-size: 18px;
    font-weight: 700;
}

.benefitText p {
    font-size: 14px;
    font-weight: 400;
}

/* MÉTRICAS */


.numbers {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 40px;
    margin-top: 40px;
}

.numbersContent {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 24px;
}

.numbersContent div {
    display: flex;
    flex: 1;
    gap: 10px;
    align-items: center;
    justify-content: center;
    flex-direction: row;
}

.numbers h1 {
    font-family: 'Cheese Sauce', sans-serif;
    font-size: 48px;
    color: #FF814F;
}

.numbers h2 {
    font-size: 24px;
    font-weight: 400;
}

.numbers h3 {
    font-size: 18px;
    font-weight: 400;
}


/* CTA */
.cta {
    display: flex;
    position: relative;
    justify-content: space-between;
    align-items: center;
    background: #f15a24;
    color: white;
    height: 379px;
    overflow: hidden;
}

.cta-img {

    width: 25%;
    height: 100%;
    background-color: red;
    background-image: url('/assets/images/cta_image.png');
    background-size: cover;
    background-position: center;
    clip-path: path('M0 344.79C0 229.086 44.6661 117.849 124.684 34.2748L157.5 0H431V380H0L0 344.79Z');
}

.cta p {
    font-size: 24px;
    font-weight: 700;
    margin-bottom: 24px;
}



@media (max-width: 1250px) {
    /* .svgShape {
        display: none;
    } */

    .heroPageShape {
        height: 1024px;
        width: 300px;
    }

    .heroPageShape .heroText {

        flex-direction: column;
        justify-content: center;
        align-items: center;
        text-align: center;
    }

    .heroPageShape h1 {
        font-size: 28px;

    }

    .heroPageShape h2 {
        font-size: 18px;

    }

    .heroImage {
        width: 100%;
        right: 40%;

    }
}

@media (max-width: 1100px) {
    .svgShape {
        display: none;
    }

    .svgShapeMobile {
        display: flex;
        position: absolute;
        top: -30px;

    }

    .hero {
        display: flex;
        flex-direction: column;
        position: relative;
        height: 100vh;
        width: 100%;
        padding: 0px;
    }

    .heroPageShape {
        position: relative;
        bottom: 0px;
        height: auto;
        padding-bottom: 48px;
        width: 100%;
        max-width: 100%;
    }

    .heroPageShape h1 {
        color: white;
        font-size: 28px;

    }

    .heroPageShape h2 {
        color: white;
        font-size: 18px;

    }

    .heroOrder {
        margin-top: 10px;
        width: 100%;
        background-color: transparent;
        justify-content: end;
        flex-direction: column;

    }


    .heroImage {
        position: relative;
        left: 50%;
        transform: translateX(-50%);
        background-size: contain;
        margin-top: 10vh;
        height: 80%;
        max-width: 100%;
        background-position: center;
    }

}

@media (max-width: 900px) {
    .steps {
        display: flex;
        flex-direction: column;
        gap: 30px;
        justify-content: center;
        align-items: center;
    }

    .steps svg {
        rotate: 90deg;
        margin: auto 0px;
    }

    .benefit-grid {
        display: flex;
        flex-direction: column;
        gap: 24px;
    }

    .benefitCard {
        height: 350px;
    }

    .numbersContent {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: start;
        gap: 24px;
    }

    .numbersContent h2 {
        text-align: start;
    }

    .numbersContent h1 {
        text-align: start;
    }

    .cta {
        background:
            linear-gradient(rgba(237, 92, 33, 0.9), rgba(237, 92, 33, 0.9)),
            url('/assets/images/cta_image.png');
        background-size: cover;
        /* ESSENCIAL */
        background-position: center;
        /* Centraliza o corte */
        background-repeat: no-repeat;

        height: 500px;

    }

    .stores img {
        width: 150px;
        height: auto;
    }

    .cta-img {
        display: none;
    }

}